html, body {
  /*font-size: 16px;*/
}

button, input {
  outline: none !important;
}

button {
  cursor: default !important;
}

.address-bar {
  display: flex;
  position: absolute;
  width: 100%;
  padding: 5px;
  border-top: 1px solid #C0C0C0;
  top: 34px;
}

.address-bar button, .address-bar input {
  border-radius: 0px;
}

.address-bar button {
  height: 34px;
  text-align: center;
  padding-left: 8px;
  padding-right: 8px;
  background-color: white;
  margin-right: 5px;
  color: #777;
}

.address-bar button:focus {
  color: #777;
}

.enable-night-mode {
  color: #5C6BC0 !important;
}

.btn.disabled, .btn[disabled], fieldset[disabled] .btn {
  opacity: .45;
}

.address-bar button:hover {
  color: #777 !important;
}

.address-bar button i {
  font-weight: 400;
}

#btn-site-info {
  border: 1px solid #C0C0C0;
  border-right: 0px;
  border-radius: 0px;
  border-top-right-radius: 0px;
  border-bottom-right-radius: 0px;
  margin-right: 0px;
}

#btn-favorite {
  border: 1px solid #C0C0C0;
  /*border-left: 0px;*/
  border-radius: 0px;
  border-top-left-radius: 0px;
  border-bottom-left-radius: 0px;
  margin-right: 5px;
}

#btn-menu {
  margin-right: 0px;
}

.list-menu {
  margin-top: -5px;
  border-radius: 0px;
}

/*.list-menu .menu-toggle-button {
  display: flex;
}

.list-menu .menu-toggle-button .toggle {
  position: absolute;
  right: 20px;
  margin-top: 7px;
  min-width: 40px;
}*/

.address-bar input {
  border-right: 0px;
  box-shadow: 0px 0px;
  border-color: #C0C0C0;
}

.address-bar button:hover {
  border: 1px solid #C0C0C0;
  border-radius: 0px;
}

.dropdown-menu {
  padding: 0px;
}

.dropdown-menu li a {
  cursor: default !important;
  padding: 8px 20px;
}

.dropdown-menu li a span {
  color: #848484;
  float: right;
}

.btn-zoom {
  display: flex !important;
}

.zoom-box {
  display: flex;
  margin-left: 120px;
}

.zoom-box div {
  padding-left: 5px;
  padding-right: 5px;
  height: 22px;
}

.btn-zoom-in {
  border-right: solid 1px #D8D8D8;
  border-top: solid 1px #D8D8D8;
  border-bottom: solid 1px #D8D8D8;
  border-top-right-radius: 0px;
  border-bottom-right-radius: 0px;
}

.btn-zoom-out {
  border-left: solid 1px #D8D8D8;
  border-top: solid 1px #D8D8D8;
  border-bottom: solid 1px #D8D8D8;
  border-top-left-radius: 0px;
  border-bottom-left-radius: 0px;
}

.zoom-box-number {
  border: solid 1px #D8D8D8;
}

.btn-fullscreen {
  border: solid 1px #D8D8D8;
  margin-left: 10px;
  padding: 0px 8px;
  border-radius: 0px;
  height: 22px;
}

hr, .divider {
  padding: 0px !important;
  margin: 0px !important;
}

.tab-bar {
  position: absolute;
  top: 34px;
}

::selection {
  background-color: transparent;
}
::-moz-selection {
  background-color: transparent;
}
#address::selection {
  background-color: #338fff !important;
  color: white;
}
#address::-moz-selection {
  background-color: #338fff !important;
  color: white;
}

.address-suggest {
  position: absolute;
  z-index: 9;
  left: 214px;
  top: 38px;
  border-radius: 0px !important;
  width: calc(100% - 24.4em);
}

.address-suggest > li {
  border-radius: 0px !important;
}

.address-suggest > li:hover {
  background-color: #F5F5F5;
}

.selected {
  background-color: #D5D5D5 !important;
}

.webview {
  /*margin-top: 29px;
  height: 95vh;*/
  position: absolute;
  width: 100%;
  top: 79px;
  bottom: 0px;
  /*box-shadow: 0px 0px 1px 1px gray;*/
  border-top: 1px solid #C0C0C0;
}

.webview webview {
  height: 100%;
}

.favicon {
  margin-top: 9px;
  margin-right: 5px;
  /*width: 15px;*/
  height: 15px;
}

.spinner {
  -webkit-animation: rotate 2s linear infinite;
          animation: rotate 2s linear infinite;
  z-index: 2;
  /*position: absolute;
  top: 50%;
  left: 50%;
  margin: -25px 0 0 -25px;*/
  width: 18px;
  height: 18px;
  margin-top: 7px;
  margin-right: 5px;
}
.spinner .path {
  stroke: gray;
  stroke-linecap: round;
  -webkit-animation: dash 1.5s ease-in-out infinite;
          animation: dash 1.5s ease-in-out infinite;
}

@-webkit-keyframes rotate {
  100% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
  }
}

@keyframes rotate {
  100% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
  }
}
@-webkit-keyframes dash {
  0% {
    stroke-dasharray: 1, 150;
    stroke-dashoffset: 0;
  }
  50% {
    stroke-dasharray: 90, 150;
    stroke-dashoffset: -35;
  }
  100% {
    stroke-dasharray: 90, 150;
    stroke-dashoffset: -124;
  }
}
@keyframes dash {
  0% {
    stroke-dasharray: 1, 150;
    stroke-dashoffset: 0;
  }
  50% {
    stroke-dasharray: 90, 150;
    stroke-dashoffset: -35;
  }
  100% {
    stroke-dasharray: 90, 150;
    stroke-dashoffset: -124;
  }
}

.find-box {
  width: 350px;
  background-color: white;
  z-index: 9;
  position: absolute;
  top: 81px;
  right: 2px;
  display: flex;
  border: 0.2px solid gray;
  box-shadow: 0px 0px 10px 1px #A0A0A0;
  display: none;
}

.find-box input, .find-box button {
  border-radius: 0px;
  background-color: white;
  box-shadow: none !important;
  height: 35px;
  padding: 6px;
}

.find-box button i {
  color: #777;
}

.find-box input:focus {
  box-shadow: none !important;
}

.find-box input {
  border: 0px !important;
  border-right: 1px solid gray !important;
  height: 20px;
  margin-top: 6.5px
}

.permission-box {
  width: 100%;
  background-color: #FCF7B6;
  z-index: 1;
  position: absolute;
  top: 80px;
  display: flex;
  border: 0.2px solid gray;
  box-shadow: 0px 0px 10px 0.2px gray;
  height: 35 px;
  display: none;
}

.permission-box button {
  height: 20px;
  margin-top: 6px;
  margin-left: 8px;
  border-radius: 0px !important;
  border: 1px solid gray !important;
  padding: 0px 15px;
}

.permission-message {
  width: 100%;
  padding: 6px 8px;
}

.btn-trash {
  margin-right: 0px !important;
}

.btn-add, .btn-trash {
  background-color: transparent;;
  border-radius: 0px;
  margin-right: 100px;
  padding-top: 7px;
  -webkit-app-region: no-drag;
}

.btn-add i, .btn-trash i {
  color: #777;
}

.btn-add:hover, .btn-trash:hover {
  color: #777;
  border: 1px solid #E0E0E0;
  background-color: #E0E0E0;
}

.tab-container {
  background: #F0F0F0;
  margin: 0;
  padding: 0;
  max-height: 35px;
  display: flex;
  /*-webkit-user-select: none;*/
  -webkit-app-region: drag;
}
.tab-container ul.nav-tabs {
  margin: 0;
  list-style-type: none;
  line-height: 35px;
  max-height: 35px;
  overflow: hidden;
  display: inline-block;
  display: -webkit-flex;
  display: flex;
  border-bottom: 0px !important;
  padding: 0px;
  -webkit-app-region: no-drag;
}
.tab-container ul.nav-tabs > li {
  padding: 0 20px 0 0px;
  background: #F0F0F0;
  position: relative;
  -moz-box-shadow: 0 4px 6px rgba(0, 0, 0, 0.5);
  -webkit-box-shadow: 0 4px 6px rgba(0, 0, 0, 0.5);
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.5);
  width: 200px;
  max-width: 200px;
  min-width: 20px;
  border: 1px solid #C0C0C0;
  border-top-left-radius: 0px;
  border-top-right-radius: 0px;
}
.tab-container ul.nav-tabs > li > div {
  display: flex;
  max-width: 100%;
  text-decoration: none;
  color: #222;
  padding: 0px 7px;
}
.tab-container ul.nav-tabs > li > div span {
  overflow: hidden;
  white-space: nowrap;
  display: block;
  padding-top: 0px;
  margin-right: 5px;
}
.tab-container ul.nav-tabs > li > div .btn-close {
  color: #777;
  display: inline-block;
  padding: 0px;
  font-size: 14px;
  position: absolute;
  z-index: 10;
  top: 10px;
  right: 5px;
  cursor: default !important;
  font-weight: 600;
}
.tab-container ul.nav-tabs > li > div .btn-close:hover {
  background: #E95151;
  color: white;
  -moz-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.25);
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.25);
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.25);
  text-shadow: 0 1px 1px rgba(0, 0, 0, 0.25);
}
.tab-container ul.nav-tabs > li.active {
  z-index: 2;
  background-color: white;
}
.tab-container ul.nav-tabs > li.active > div {
  background-color: transparent;
  border-color: transparent;
}
.tab-container .nav-tabs li div span, .tab-container .nav-tabs li div span:hover {
  cursor: default !important;
}

.title-control {
  position: absolute;
  right: 0px;
  display: none;
  -webkit-app-region: no-drag;
}

.title-control > button {
  background-color: transparent;;
  border-radius: 0px;
  height: 28px;
  padding-top: 1.5px;
}

.title-control > button > i {
  font-size: 12px;
  font-weight: lighter;
}

.title-control button:hover {
  background-color: #c85052;
  color: white;
}

.title-control .btn-toggleMaximize:hover, .title-control .btn-minimize:hover {
  background-color: #66A3DA;
}

.download-bar {
  width: 100%;
  height: 50px;
  background-color: #F0F0F0;
  position: absolute;
  bottom: 0px;
  display: flex;
}

.download-bar .download-list {
  display: flex;
  list-style: none;
  padding: 6px 0px 0px 3px;
  width: calc(100% - 50px);
}

.download-bar .download-list .download-item {
  /*padding: 0px 10px;*/
  display: flex;
  min-width: 20px;
  min-height: 39px;
  background-color: #BDBDBD;
  margin: 0px 3px;
  border-radius: 0px;
}

.download-bar .download-list .download-item > progress {
  height: 100%;
  width: 190px;
  background: #F0F0F0;

  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

.download-bar .download-list .download-item > progress::-webkit-progress-bar {
  background: #F0F0F0;
  /*box-shadow: 0 2px 3px rgba(0,0,0,0.2) inset;*/
  border: 0px solid #A0A0A0;
  border-right: 1px solid #C0C0C0;
  border-radius: 0px;
}

.download-bar .download-list .download-item > progress::-webkit-progress-value {
  background-color: #9AC9F4;
  border-radius: 0px;
}

.download-bar .download-list .download-item > div {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  cursor: default !important;
  position: absolute;
  width: 170px;
  padding: 0px 8px;
}

.download-bar .download-list .download-item .item-title {
  bottom: 22px;
}

.download-bar .download-list .download-item .item-size {
  bottom: 5px;
}

.download-bar .download-list .download-item .download-option {
  margin-left: 163px;
  margin-top: 10px;
  width: 20px;
  height: 20px;
  padding: 0px;
}

.download-bar .download-list .download-item .download-option:hover, .btn-close-download-bar:hover {
  background-color: #E0E0E0;
}

.btn-close-download-bar {
  cursor: default;
  width: 20px;
  height: 20px;
  position: absolute;
  right: 10px;
  top: 15px;
}

.download-bar > button {
  position: absolute;
  right: 5px;
  top: 15px;
  max-height: 22px;
  max-width: 30px;
  padding: 0px;
  background-color: transparent;
  border-radius: 0px;
}

.download-bar > button:hover {
  background-color: #E5E5E5;
  border-radius: 0px;
}

.filter-light {
  width: 100%;
  height: calc(100% - 79px);
  position: absolute;
  background-color: black;
  top: 79px;
  opacity: 0.3;
  pointer-events: none;
  display: none;
}

.switch {
  position: absolute;
  display: inline-block;
  width: 40px;
  height: 20px;
  right: 20px;
}

.switch input {display:none;}

.slider {
  position: absolute;
  cursor: default;;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #A0A0A0;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 18px;
  width: 19px;
  left: 1px;
  bottom: 0px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
  top: 1px;
}

input:checked + .slider {
  background-color: #1E88E5
;
}

input:focus + .slider {
  box-shadow: 0 0 1px #1E88E5
;
}

input:checked + .slider:before {
  -webkit-transform: translateX(19px);
  -ms-transform: translateX(19px);
  transform: translateX(19px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
  background-color: white;
}
